[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#514799: release-notes: check grub's hooks in /etc/kernel-img.conf before upgrade

* W. Martin Borgert [Die Feb 10, 2009 at 11:49:01 +0000]:
> On 2009-02-10 22:54, J S Bygott wrote:
> > Check grub's kernel installation hooks
> > If you use GRUB as bootloader and previously upgraded to etch from an older
> > release of debian, please verify that the hooks in /etc/kernel-img.conf have
> > been updated from /sbin/update-grub to /usr/sbin/update-grub. The older path
> > will cease to work after the upgrade to lenny. For more details, see
> > /usr/share/doc/grub-doc/NEWS.Debian from the grub-doc package.

> Any comments? Shall we add this to the lenny release notes?

Nowadays usage of do_bootloader, postinst_hook and postrm_hook in
/etc/kernel-img.conf is expected to differ, as documented in
and discussed in "Policy for Linux kernel, initramfs, boot loader
update process", see
http://lists.debian.org/debian-devel/2010/06/msg00538.html & ff.

So AFAICT this bugreport isn't valid for squeeze anymore and could
be closed if there aren't any objections.


Attachment: signature.asc
Description: Digital signature

Reply to: